> ## Documentation Index
> Fetch the complete documentation index at: https://mtaapi.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ordered PATH stations for a route

> Get ordered NJ PATH station patterns from the static PATH catalog.



## OpenAPI

````yaml /openapi.json get /api/v1/path/routes/{route}/stations
openapi: 3.1.2
info:
  title: MTA API
  description: Managed, API-key protected access to MTA realtime and static data.
  version: 0.1.0
servers:
  - url: https://www.mtaapi.dev
    description: Production
security:
  - bearerAuth: []
  - apiKeyAuth: []
tags:
  - name: subway
    description: Subway realtime data
  - name: bus
    description: BusTime realtime data
  - name: path
    description: PATH realtime arrivals for New Jersey stations
  - name: nj-transit-rail
    description: NJ Transit RailData realtime data
  - name: nyc-ferry
    description: NYC Ferry GTFS and GTFS-Realtime data
  - name: citi-bike
    description: Citi Bike GBFS station and service data
  - name: lirr
    description: Long Island Rail Road GTFS and GTFS-Realtime data
  - name: metro-north
    description: Metro-North Railroad GTFS and GTFS-Realtime data
  - name: alerts
    description: Service alerts
  - name: stops
    description: Route-aware static GTFS stop lookup
  - name: system
    description: Health and database status
paths:
  /api/v1/path/routes/{route}/stations:
    get:
      tags:
        - path
      summary: Get ordered PATH stations for a route
      description: Get ordered NJ PATH station patterns from the static PATH catalog.
      operationId: getApiV1PathRoutesByRouteStations
      parameters:
        - name: route
          in: path
          required: true
          schema:
            minLength: 1
            type: string
        - name: direction
          in: query
          required: false
          schema:
            type: string
            enum:
              - east
              - west
      responses:
        '200':
          description: Response for status 200
          content:
            application/json:
              schema:
                type: object
                required:
                  - route
                  - mode
                  - directions
                properties:
                  route:
                    type: object
                    required:
                      - id
                    properties:
                      id:
                        type: string
                      gtfsId:
                        type: string
                      shortName:
                        type: string
                      longName:
                        type: string
                      type:
                        type: number
                      color:
                        type: string
                      textColor:
                        type: string
                  mode:
                    enum:
                      - subway
                      - bus
                      - path
                      - nj-transit-rail
                      - nyc-ferry
                      - lirr
                      - metro-north
                    type: string
                  directions:
                    type: array
                    items:
                      type: object
                      required:
                        - direction
                        - stops
                      properties:
                        direction:
                          type: string
                        headsigns:
                          type: array
                          items:
                            type: string
                        stops:
                          type: array
                          items:
                            type: object
                            required:
                              - id
                              - name
                            properties:
                              id:
                                type: string
                              name:
                                type: string
                              displayName:
                                type: string
                              lat:
                                type: number
                              lon:
                                type: number
                              mode:
                                enum:
                                  - subway
                                  - bus
                                  - path
                                  - nj-transit-rail
                                  - nyc-ferry
                                  - lirr
                                  - metro-north
                                type: string
                              parentId:
                                type: string
                              arrivals:
                                type: array
                                items:
                                  type: object
                                  required:
                                    - mode
                                    - route
                                    - stop
                                    - direction
                                    - arrivalTime
                                    - minutes
                                    - realtime
                                    - source
                                  properties:
                                    mode:
                                      type: string
                                      enum:
                                        - subway
                                        - bus
                                        - path
                                        - nj-transit-rail
                                        - lirr
                                        - metro-north
                                    route:
                                      type: object
                                      required:
                                        - id
                                      properties:
                                        id:
                                          type: string
                                        gtfsId:
                                          type: string
                                        shortName:
                                          type: string
                                        longName:
                                          type: string
                                        type:
                                          type: number
                                        color:
                                          type: string
                                        textColor:
                                          type: string
                                    stop:
                                      type: object
                                      required:
                                        - id
                                        - name
                                      properties:
                                        id:
                                          type: string
                                        name:
                                          type: string
                                        displayName:
                                          type: string
                                        lat:
                                          type: number
                                        lon:
                                          type: number
                                        mode:
                                          enum:
                                            - subway
                                            - bus
                                            - path
                                            - nj-transit-rail
                                            - nyc-ferry
                                            - lirr
                                            - metro-north
                                          type: string
                                        parentId:
                                          type: string
                                    direction:
                                      type: string
                                      enum:
                                        - north
                                        - south
                                        - east
                                        - west
                                        - unknown
                                        - uptown
                                        - downtown
                                    destination:
                                      type: string
                                    displayDirection:
                                      type: string
                                    headsign:
                                      type: string
                                    arrivalTime:
                                      type: string
                                    departureTime:
                                      type: string
                                    minutes:
                                      type: number
                                    tripId:
                                      type: string
                                    realtime:
                                      type: boolean
                                    source:
                                      type: string
                                    raw: {}
      x-codeSamples:
        - lang: typescript
          label: mta-js
          source: >-
            import { MTA } from "mta-js";

            const mta = new MTA({ apiKey: process.env.MTA_API_KEY });

            const data = await mta.path.routeStations({ route: "JSQ-33",
            direction: "east" });
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.